Scriptname VIGOR_Block extends activemagiceffect  

Float HealthPre
Float HealthPos
Float Stamina
Bool Parry = False
Sound Property WPNImpactBladeVsArmor Auto

;---------------------------------------------------------------------------------------

Event OnEffectStart(Actor akTarget, Actor akCaster)

	RegisterForAnimationEvent(akTarget, "blockStartOut")
	RegisterForAnimationEvent(akTarget, "preHitFrame")
	RegisterForAnimationEvent(akTarget, "HitFrame")

EndEvent

;---------------------------------------------------------------------------------------

Event OnRaceSwitchComplete()

	RegisterForAnimationEvent(GetTargetActor(), "blockStartOut")
	RegisterForAnimationEvent(GetTargetActor(), "preHitFrame")
	RegisterForAnimationEvent(GetTargetActor(), "HitFrame")

EndEvent

;---------------------------------------------------------------------------------------

Event OnAnimationEvent(ObjectReference akSource, string asEventName)

	If asEventName == "blockStartOut"

		HealthPre = GetTargetActor().GetActorValue("Health")

	EndIf
		
	If (asEventName == "preHitFrame")

		Parry = True
		GetTargetActor().setAnimationVariableBool("isBlocking", true)
		HealthPre = GetTargetActor().GetActorValue("Health")

	EndIf

	If (asEventName == "HitFrame")

		HealthPre = GetTargetActor().GetActorValue("Health")
		RegisterForSingleUpdate(0.01)

	EndIf

EndEvent

;---------------------------------------------------------------------------------------

Event OnUpdate()

	HealthPre = GetTargetActor().GetActorValue("Health")
	GetTargetActor().setAnimationVariableBool("isBlocking", false)
	Parry = False

EndEvent

;---------------------------------------------------------------------------------------

Event OnHit(ObjectReference akAggressor, Form akSource, Projectile akProjectile, bool abPowerAttack, bool abSneakAttack, bool abBashAttack, bool abHitBlocked)

	If abHitBlocked

		If Parry == True

			Debug.SendAnimationEvent(GetTargetActor(), "recoilLargeStart")
			Debug.SendAnimationEvent(akAggressor, "recoilLargeStart")
			WPNImpactBladeVsArmor.Play(GetTargetActor())
			Parry = False

		EndIf

		HealthPos = GetTargetActor().GetActorValue("Health")
		Stamina = GetTargetActor().GetActorValue("Stamina")

		If (Stamina > HealthPre - HealthPos) && (HealthPre > HealthPos)
			GetTargetActor().RestoreActorValue("Health", (HealthPre - HealthPos))
			GetTargetActor().DamageActorValue("Stamina", (HealthPre - HealthPos))
		EndIf

	EndIf

		RegisterForSingleUpdate(0.01)

EndEvent
