Scriptname VIGOR_MCM_MENU extends SKI_ConfigBase

int function GetVersion()
	return 38
endFunction

event OnVersionUpdate(int a_version)
    if (a_version >1)
        OnConfigInit()
    endIf
endEvent

int disableFlag
int Vigor_Enabled

int Toggle_OID_ModEnabled
int Toggle_OID_NPCBandages
int Toggle_OID_Fatigue
int Toggle_OID_Movements
int Toggle_OID_DisableFriendlyFire
int Toggle_OID_StaminaDrainRunning
int Toggle_OID_TimedBlock
int Toggle_OID_Combat
int Toggle_OID_DBleed
int Toggle_OID_AI
int Toggle_OID_FullStagger
int Toggle_OID_Stagger
int Toggle_OID_Heal
int Toggle_OID_Craft
int Toggle_OID_PoiseMessage
int Slider_OID_StaminaDrainScale
int Slider_OID_InjuryChance
int Slider_OID_InjuryHealth
int Slider_OID_PotionFortifyArmor
int Slider_OID_PotionFortifyDamage
int Slider_OID_PotionResistMagic
int Slider_OID_PotionResistElement
int Slider_OID_PotionHealth
int Slider_OID_PotionStamina
int Slider_OID_PotionInvisibility
int Slider_OID_Bleed
int Slider_OID_InjuryTime
int Slider_OID_DisableHealthRegen
int Slider_OID_NoRest
int Slider_OID_StaggerDuration
int Slider_OID_StaggerCooldown
int Slider_OID_PoiseMult

bool _Toggle_ModEnabled = false
bool _Toggle_NPCBandages = true
bool _Toggle_Fatigue = true
bool _Toggle_Movements = true
bool _Toggle_DisableFriendlyFire = true
bool _Toggle_StaminaDrainRunning = true
bool _Toggle_TimedBlock = True
bool _Toggle_Combat = True
bool _Toggle_DBleed = False
bool _Toggle_AI = True
bool _Toggle_FullStagger = True
bool _Toggle_Stagger = True
bool _Toggle_Heal = True
bool _Toggle_Craft = True
bool _Toggle_PoiseMessage = False
float _Slider_StaminaDrainScale = 100.0
float _Slider_InjuryChance = 50.0
float _Slider_InjuryHealth = 0.20
float _Slider_PotionFortifyArmor = 25.0
float _Slider_PotionFortifyDamage = 25.0
float _Slider_PotionResistMagic = 25.0
float _Slider_PotionResistElement = 33.0
float _Slider_PotionHealth = 50.0
float _Slider_PotionStamina = 50.0
float _Slider_PotionInvisibility = 10.0
float _Slider_Bleed = 25.0
float _Slider_InjuryTime = 2.0
float _Slider_DisableHealthRegen = 0.9
float _Slider_NoRest = 0.9
float _Slider_StaggerDuration = 0.75
float _Slider_StaggerCooldown = 2.0
float _Slider_PoiseMult = 1.0

GlobalVariable property Vigor_NPC auto

GlobalVariable property Vigor_StaminaDrainScale auto
GlobalVariable property Vigor_StaminaDrainRunning auto
GlobalVariable property Vigor_Fatigue auto

GlobalVariable property Vigor_ChanceInjury auto
GlobalVariable property Vigor_gHealthDifference auto
GlobalVariable property Vigor_DisableHealthRegen auto
GlobalVariable property Vigor_ChanceBleed auto
GlobalVariable property Vigor_DeadlyBleeding auto
GlobalVariable property Vigor_LengthyInjuryTrauma auto
GlobalVariable property Vigor_BandageNPC auto
GlobalVariable property Vigor_gNoRest auto
GlobalVariable property Vigor_gHeal auto
GlobalVariable property Vigor_Crafting auto

GlobalVariable property Vigor_ChancePotionFortifyArmor auto
GlobalVariable property Vigor_ChancePotionFortifyDamage auto
GlobalVariable property Vigor_ChancePotionElementalResistance auto
GlobalVariable property Vigor_ChancePotionHealth auto
GlobalVariable property Vigor_ChancePotionMagicResistance auto
GlobalVariable property Vigor_ChancePotionStamina auto
GlobalVariable property Vigor_ChancePotionInvisibility auto

GlobalVariable property Vigor_TimeBlock auto

GlobalVariable property Vigor_ChanceStagger auto
GlobalVariable property Vigor_FullStagger auto
GlobalVariable property Vigor_StaggerDuration auto
GlobalVariable property Vigor_StaggerCooldown auto
GlobalVariable property Vigor_PoiseMessage auto
GlobalVariable property Vigor_PoiseMult auto

GlobalVariable property Vigor_Combat auto
GlobalVariable property Vigor_NPCAI auto

GlobalVariable property Vigor_DisableFriendlyFire auto

Spell Property ale__Control  Auto 

; ------------------------------------------------------------------------------------------

Event OnPageReset(string a_page)
	
	SetCursorFillMode(TOP_TO_BOTTOM)

	If Vigor_Enabled == 1
		disableFlag = OPTION_FLAG_NONE
	Else
		disableFlag = OPTION_FLAG_DISABLED
	EndIf

	SetCursorPosition(0)

	Toggle_OID_ModEnabled = AddToggleOption("Start Vigor", _Toggle_ModEnabled)
	AddEmptyOption()

	AddHeaderOption("Stamina and Fatigue")
	Toggle_OID_StaminaDrainRunning = AddToggleOption("Stamina Actions", _Toggle_StaminaDrainRunning, disableFlag)	
	Slider_OID_StaminaDrainScale = AddSliderOption("Stamina Cost Multiplier", _Slider_StaminaDrainScale, "{0}%", disableFlag)
	AddEmptyOption()

	Toggle_OID_Fatigue = AddToggleOption("Fatigue", _Toggle_Fatigue, disableFlag)
	AddEmptyOption()

	AddHeaderOption("Injuries")
	Slider_OID_InjuryChance = AddSliderOption("Injury Chance", _Slider_InjuryChance, "{0}%", disableFlag)
	Slider_OID_InjuryHealth = AddSliderOption("Injury Health Threshold", _Slider_InjuryHealth, "{2} Health", disableFlag)
	AddEmptyOption()

	Slider_OID_InjuryTime = AddSliderOption("Trauma Effect Duration", _Slider_InjuryTime, "{0} Hours", disableFlag)
	AddEmptyOption()

	Slider_OID_Bleed = AddSliderOption("Bleeding Chance", _Slider_Bleed, "{0}%", disableFlag)
	Toggle_OID_DBleed = AddToggleOption("Deadly Bleeding", _Toggle_DBleed, disableFlag)
	AddEmptyOption()

	Toggle_OID_Heal = AddToggleOption("Heal Injuries at Full Health", _Toggle_Heal, disableFlag)
	AddEmptyOption()

	Slider_OID_DisableHealthRegen = AddSliderOption("No Passive Health Regeneration", _Slider_DisableHealthRegen, "{2} Health", disableFlag)
	Slider_OID_NoRest = AddSliderOption("No Rest When Harmed", _Slider_NoRest, "{2} Health", disableFlag)
	AddEmptyOption()

	Toggle_OID_Craft  = AddToggleOption("Bandage and Poultice Recipes", _Toggle_Craft, disableFlag)
	Toggle_OID_NPCBandages = AddToggleOption("Enable Bandages for NPCs", _Toggle_NPCBandages, disableFlag)

	SetCursorPosition(1)

	AddEmptyOption()

	AddEmptyOption()

	AddHeaderOption("Dynamic Combat")
	Toggle_OID_FullStagger = AddToggleOption("Full Body Stagger", _Toggle_FullStagger, disableFlag)
	Toggle_OID_Stagger = AddToggleOption("Poise", _Toggle_Stagger, disableFlag)
	Slider_OID_PoiseMult = AddSliderOption("Base Poise Factor", _Slider_PoiseMult, "x{2}", disableFlag)
	Slider_OID_StaggerDuration = AddSliderOption("Stagger Duration", _Slider_StaggerDuration, "{2} Seconds", disableFlag)
	Slider_OID_StaggerCooldown = AddSliderOption("Stagger Cooldown", _Slider_StaggerCooldown, "{2} Seconds", disableFlag)
	Toggle_OID_PoiseMessage = AddToggleOption("Enemy Poise Notification", _Toggle_PoiseMessage, disableFlag)
	AddEmptyOption()

	Toggle_OID_TimedBlock = AddToggleOption("Block & Parry", _Toggle_TimedBlock, disableFlag)
	AddEmptyOption()

	Toggle_OID_Combat = AddToggleOption("Conditional Damage", _Toggle_Combat, disableFlag)
	Toggle_OID_AI = AddToggleOption("Enemy Combat AI", _Toggle_AI, disableFlag)
	Toggle_OID_DisableFriendlyFire= AddToggleOption("Disable Friendly Fire", _Toggle_DisableFriendlyFire, disableFlag)
	AddEmptyOption()

	AddHeaderOption("Potion for NPCs")
	Slider_OID_PotionFortifyArmor = AddSliderOption("Fortify Armor Potions Chance", _Slider_PotionFortifyArmor, "{0}%", disableFlag)
	Slider_OID_PotionFortifyDamage = AddSliderOption("Fortify Damage Potions Chance", _Slider_PotionFortifyDamage, "{0}%", disableFlag)
	Slider_OID_PotionResistMagic = AddSliderOption("Resist Magic Potions Chance", _Slider_PotionResistMagic, "{0}%", disableFlag)
	Slider_OID_PotionResistElement = AddSliderOption("Resist Element Potions Chance", _Slider_PotionResistElement, "{0}%", disableFlag)
	Slider_OID_PotionHealth = AddSliderOption("Healing Potions Chance", _Slider_PotionHealth, "{0}%", disableFlag)
	Slider_OID_PotionStamina = AddSliderOption("Stamina Potions Chance", _Slider_PotionStamina, "{0}%", disableFlag)
	Slider_OID_PotionInvisibility = AddSliderOption("Invisibility Potions Chance", _Slider_PotionInvisibility, "{0}%", disableFlag)

endEvent

Event OnOptionHighlight(int option)
	{Called when highlighting an option}

	if (option == Toggle_OID_ModEnabled )
		SetInfoText("Start Vigor - Combat and Injuries. Uncheck this before uninstalling!")
	elseIf (option == Toggle_OID_NPCBandages )
		SetInfoText("Determines whether or not NPCs will use Bandages when at low health. (Default = On)")
	elseIf (option == Toggle_OID_Fatigue )
		SetInfoText("Apply debuffs to damage, movement speed, stagger and incoming damage whenever stamina is low. (Default = On)")
	elseIf (option == Slider_OID_StaminaDrainScale )
		SetInfoText("Set the strength of the stamina drain when attacking with melee or ranged weapons. (Default = 100%)")
	elseIf (option == Toggle_OID_TimedBlock )
		SetInfoText("Allow Vigor to control block mechanics. Block will damage stamina instead of health AS LONG as you have enough stamina remaining to fully deflect the hit. Also, weapons will react to each other in close combat when both actors strike at the same time, recoilling the attacks and damaging the attacker`s stamina.  (Default = On)")
	elseIf (option == Slider_OID_DisableHealthRegen )
		SetInfoText("Disable passive health regeneration for the player when bellow this health percentage. Enchantments, potions and healing spells still works normally. (Default = 0.90 Health)")
	elseIf (option == Toggle_OID_DisableFriendlyFire )
		SetInfoText("While in combat you won`t harm allies with weapons or spells. (Default = On)")
	elseIf (option == Toggle_OID_StaminaDrainRunning )
		SetInfoText("Several actions, such as running, attacking, blocking, jumping, swimming or casting spells will reduce your stamina regeneration rate or have it drained. (Default = On)")
	elseIf (option == Toggle_OID_Combat)
		SetInfoText("Damage dealt and receive are modified by several factors, such as movement direction, ground positioning, target distance or power attack vulnerability. (Default = On)")
	elseIf (option == Slider_OID_InjuryChance)
		SetInfoText("Set the chance to receive injuries when loosing a certain amount of health in a short period of time. Setting this slider to 0 will disable Injuries. (Default = 50%)")
	elseIf (option == Slider_OID_InjuryHealth)
		SetInfoText("You may receive injuries when loosing this percentage of your total health within 2 seconds. (Default = 0.20 Health)")
	elseIf (option == Slider_OID_PotionFortifyArmor)
		SetInfoText("Set the chance for NPCs to use Fortify Armor potions when entering in combat. (Default = 25%)")
	elseIf (option == Slider_OID_PotionFortifyDamage)
		SetInfoText("Set the chance for NPCs to use Fortify Damage potions when entering in combat. (Default = 25%)")
	elseIf (option == Slider_OID_PotionResistMagic)
		SetInfoText("Set the chance for NPCs to use Resist Magic potions when entering in combat. (Default = 25%)")
	elseIf (option == Slider_OID_PotionResistElement)
		SetInfoText("Set the chance for NPCs to have Resist Fire, Frost or Shock potions. These potions will be used when the NPC is hit by the corresponding element. (Default = 33%)")
	elseIf (option == Slider_OID_PotionHealth)
		SetInfoText("Set the chance for NPCs to have Healing potions. This chance will be checked twice, to enable it`s use when NPCs reach 50% and 25% health marks. (Default = 50%)")
	elseIf (option == Slider_OID_PotionStamina)
		SetInfoText("Set the chance for NPCs to have Stamina potions. This chance will be checked thrice, to enable it`s use when NPCs reach 50%, 25% and 0% stamina marks. (Default = 50%)")
	elseIf (option == Slider_OID_PotionInvisibility)
		SetInfoText("Set the chance for NPCs to have Invisibility potions. These potions can be used when entering in combat or in bleed-out state. (Default = 10%)")
	elseIf (option == Toggle_OID_Stagger)
		SetInfoText("When actors loose health, poise will be damaged. Once the poise bar reach 0, the actor will be staggered and stamina will be drained based on how much the poise bar is bellow 0. Poise is determined by the actor base stamina and total armor weight. (Default = On)")
	elseIf (option == Slider_OID_Bleed)
		SetInfoText("Set the chance that an Injury will also cause bleeding. (Default = 25%)")
	elseIf (option == Toggle_OID_DBleed)
		SetInfoText("By default, bleeding can`t kill the players as it is stabilized at 5% health. This toogle disable the health restriction so that you can bleed-out to death. NOT RECOMMENDED with Death Alternative mods. (Default = Off)")
	elseIf (option == Slider_OID_InjuryTime)
		SetInfoText("How long, in hours, trauma effects should last. Setting this slider to 0 will make trauma effects have the minimum duration of 2 minutes. (Default = 2 Hours)")
	elseIf (option == Toggle_OID_AI)
		SetInfoText("NPCs will be more responsive to the player actions, often trying to dodge or perform counter attacks. (Default = On)")
	elseIf (option == Toggle_OID_FullStagger)
		SetInfoText("If enabled, the player will be locked in place when staggered, like other actors. (Default = On)")
	elseIf (option == Slider_OID_NoRest)
		SetInfoText("Set the minimum health percentage required to be able to rest, wait or fast travel, using a poultice will let you perform these actions normally even if bellow the required health percentage. Setting this slider to 0 will disable this feature. (Default = 0.90 Health)")
	elseIf (option == Toggle_OID_Heal)
		SetInfoText("When at full health for 20 seconds, injuries will be automatically healed. (Default = On)")
	elseIf (option == Toggle_OID_Craft  )
		SetInfoText("Show/ Hide the recipes to make bandages and poultices at tanning racks and cooking pots. (Default = On)")
	elseIf (option == Slider_OID_StaggerDuration)
		SetInfoText("Set how long a poise stagger should last. (Default = 0.75 Seconds)")
	elseIf (option == Slider_OID_StaggerCooldown)
		SetInfoText("Set the minimum time passed so that the next stagger caused by poise can happen again. (Default = 2 Seconds)")
	elseIf (option == Slider_OID_PoiseMult)
		SetInfoText("All actors base poise will be mutiplyed by this value. Use this slider to set how frequent you want poise stagger to be. (Default = x1)")
	elseIf (option == Toggle_OID_PoiseMessage)
		SetInfoText("Enable enemy base poise value notification whenever he is damaged by the first time. (Default = Off)")
	endIf

EndEvent

event OnOptionSelect(int option)

	if (option == Toggle_OID_ModEnabled)
        _Toggle_ModEnabled = !_Toggle_ModEnabled
        SetToggleOptionValue(Toggle_OID_ModEnabled, _Toggle_ModEnabled)
		if _Toggle_ModEnabled
			Game.GetPlayer().AddSpell(ale__Control)
			Vigor_NPC.SetValueInt(1)	
			Vigor_Enabled = 1
			Debug.MessageBox("Please, exit the MCM menu for the changes to take effect")		
		Else
			Game.GetPlayer().RemoveSpell(ale__Control)
			Vigor_NPC.SetValueInt(0)
			Vigor_Enabled = 0
			Debug.MessageBox("You are now ready to unistall/ update Vigor - Combat and Injuries")

		endIf
		UpdateCurrentInstanceGlobal(Vigor_NPC)
				
	elseIf (option == Toggle_OID_NPCBandages)	
		_Toggle_NPCBandages = !_Toggle_NPCBandages
		SetToggleOptionValue(Toggle_OID_NPCBandages, _Toggle_NPCBandages)
		if _Toggle_NPCBandages
			Vigor_BandageNPC.SetValueInt(1)
		Else
			Vigor_BandageNPC.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_BandageNPC)
		
	elseIf (option == Toggle_OID_Fatigue)
		_Toggle_Fatigue = !_Toggle_Fatigue
		SetToggleOptionValue(Toggle_OID_Fatigue, _Toggle_Fatigue)
		if _Toggle_Fatigue
			Vigor_Fatigue.SetValueInt(1)
		Else
			Vigor_Fatigue.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_Fatigue)

	elseIf (option == Toggle_OID_DisableFriendlyFire)
		_Toggle_DisableFriendlyFire = !_Toggle_DisableFriendlyFire
		SetToggleOptionValue(Toggle_OID_DisableFriendlyFire, _Toggle_DisableFriendlyFire)
		if _Toggle_DisableFriendlyFire
			Vigor_DisableFriendlyFire.SetValueInt(1)
		Else
			Vigor_DisableFriendlyFire.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_DisableFriendlyFire)

	elseIf (option == Toggle_OID_StaminaDrainRunning)
		_Toggle_StaminaDrainRunning = !_Toggle_StaminaDrainRunning
		SetToggleOptionValue(Toggle_OID_StaminaDrainRunning, _Toggle_StaminaDrainRunning)
		if _Toggle_StaminaDrainRunning
			Vigor_StaminaDrainRunning.SetValueInt(1)
		Else
			Vigor_StaminaDrainRunning.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_StaminaDrainRunning)

	elseIf (option == Toggle_OID_TimedBlock)
		_Toggle_TimedBlock = !_Toggle_TimedBlock
		SetToggleOptionValue(Toggle_OID_TimedBlock, _Toggle_TimedBlock)
		if _Toggle_TimedBlock
			Vigor_TimeBlock.SetValueInt(1)
		Else
			Vigor_TimeBlock.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_TimeBlock)

	elseIf (option == Toggle_OID_Combat)
		_Toggle_Combat = !_Toggle_Combat
		SetToggleOptionValue(Toggle_OID_Combat, _Toggle_Combat)
		if _Toggle_Combat
			Vigor_Combat.SetValueInt(1)
		Else
			Vigor_Combat.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_Combat)

	elseIf (option == Toggle_OID_DBleed)
		_Toggle_DBleed = !_Toggle_DBleed
		SetToggleOptionValue(Toggle_OID_DBleed, _Toggle_DBleed)
		if _Toggle_DBleed
			Vigor_DeadlyBleeding.SetValueInt(1)
		Else
			Vigor_DeadlyBleeding.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_DeadlyBleeding)

	elseIf (option == Toggle_OID_AI)
		_Toggle_AI = !_Toggle_AI
		SetToggleOptionValue(Toggle_OID_AI, _Toggle_AI)
		if _Toggle_AI
			Vigor_NPCAI.SetValueInt(1)
		Else
			Vigor_NPCAI.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_NPCAI)

	elseIf (option == Toggle_OID_FullStagger)
		_Toggle_FullStagger = !_Toggle_FullStagger
		SetToggleOptionValue(Toggle_OID_FullStagger, _Toggle_FullStagger)
		if _Toggle_FullStagger
			Vigor_FullStagger.SetValueInt(1)
		Else
			Vigor_FullStagger.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_FullStagger)

	elseIf (option == Toggle_OID_Stagger)
		_Toggle_Stagger = !_Toggle_Stagger
		SetToggleOptionValue(Toggle_OID_Stagger, _Toggle_Stagger)
		if _Toggle_Stagger
			Vigor_ChanceStagger.SetValueInt(1)
		Else
			Vigor_ChanceStagger.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_ChanceStagger)

	elseIf (option == Toggle_OID_Heal)
		_Toggle_Heal = !_Toggle_Heal
		SetToggleOptionValue(Toggle_OID_Heal, _Toggle_Heal)
		if _Toggle_Heal
			Vigor_gHeal.SetValueInt(1)
		Else
			Vigor_gHeal.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_gHeal)

	elseIf (option == Toggle_OID_Craft)
		_Toggle_Craft = !_Toggle_Craft
		SetToggleOptionValue(Toggle_OID_Craft, _Toggle_Craft)
		if _Toggle_Craft
			Vigor_Crafting.SetValueInt(1)
		Else
			Vigor_Crafting.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_Crafting)

	elseIf (option == Toggle_OID_PoiseMessage)
		_Toggle_PoiseMessage = !_Toggle_PoiseMessage
		SetToggleOptionValue(Toggle_OID_PoiseMessage, _Toggle_PoiseMessage)
		if _Toggle_PoiseMessage
			Vigor_PoiseMessage.SetValueInt(1)
		Else
			Vigor_PoiseMessage.SetValueInt(0)
		endIf
		UpdateCurrentInstanceGlobal(Vigor_PoiseMessage)

    endIf
endEvent

Event OnOptionSliderOpen(int option)
	{Called when a slider option has been selected}

	if ( option == Slider_OID_StaminaDrainScale )
		SetSliderDialogStartValue(_Slider_StaminaDrainScale )
		SetSliderDialogDefaultValue(100)
		SetSliderDialogRange(0, 200)
		SetSliderDialogInterval(25)

	elseIf ( option == Slider_OID_InjuryChance )
		SetSliderDialogStartValue(_Slider_InjuryChance )
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_InjuryHealth )
		SetSliderDialogStartValue(_Slider_InjuryHealth )
		SetSliderDialogDefaultValue(0.20)
		SetSliderDialogRange(0, 0.5)
		SetSliderDialogInterval(0.01)

	elseIf ( option == Slider_OID_PotionFortifyArmor )
		SetSliderDialogStartValue(_Slider_PotionFortifyArmor )
		SetSliderDialogDefaultValue(25)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_PotionFortifyDamage )
		SetSliderDialogStartValue(_Slider_PotionFortifyDamage )
		SetSliderDialogDefaultValue(25)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_PotionResistMagic )
		SetSliderDialogStartValue(_Slider_PotionResistMagic )
		SetSliderDialogDefaultValue(25)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_PotionResistElement )
		SetSliderDialogStartValue(_Slider_PotionResistElement )
		SetSliderDialogDefaultValue(33)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_PotionHealth )
		SetSliderDialogStartValue(_Slider_PotionHealth )
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_PotionStamina )
		SetSliderDialogStartValue(_Slider_PotionStamina )
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_PotionInvisibility )
		SetSliderDialogStartValue(_Slider_PotionInvisibility )
		SetSliderDialogDefaultValue(10)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_Bleed )
		SetSliderDialogStartValue(_Slider_Bleed )
		SetSliderDialogDefaultValue(25)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(1)

	elseIf ( option == Slider_OID_InjuryTime )
		SetSliderDialogStartValue(_Slider_InjuryTime )
		SetSliderDialogDefaultValue(2)
		SetSliderDialogRange(0, 12)
		SetSliderDialogInterval(2)

	elseIf ( option == Slider_OID_NoRest )
		SetSliderDialogStartValue(_Slider_NoRest)
		SetSliderDialogDefaultValue(0.90)
		SetSliderDialogRange(0, 1)
		SetSliderDialogInterval(0.01)

	elseIf ( option == Slider_OID_StaggerDuration )
		SetSliderDialogStartValue(_Slider_StaggerDuration)
		SetSliderDialogDefaultValue(0.75)
		SetSliderDialogRange(0, 3)
		SetSliderDialogInterval(0.01)

	elseIf ( option == Slider_OID_StaggerCooldown )
		SetSliderDialogStartValue(_Slider_StaggerCooldown)
		SetSliderDialogDefaultValue(2.00)
		SetSliderDialogRange(0, 10)
		SetSliderDialogInterval(0.01)

	elseIf ( option == Slider_OID_PoiseMult )
		SetSliderDialogStartValue(_Slider_PoiseMult)
		SetSliderDialogDefaultValue(1.00)
		SetSliderDialogRange(0, 10)
		SetSliderDialogInterval(0.01)

	elseIf ( option == Slider_OID_DisableHealthRegen )
		SetSliderDialogStartValue(_Slider_DisableHealthRegen)
		SetSliderDialogDefaultValue(0.90)
		SetSliderDialogRange(0, 1)
		SetSliderDialogInterval(0.01)

	endIf


EndEvent

Event OnOptionSliderAccept(int option, float value)
	{Called when a new slider value has been accepted}

	if ( option == Slider_OID_StaminaDrainScale )
		_Slider_StaminaDrainScale = value
		Vigor_StaminaDrainScale.SetValue(_Slider_StaminaDrainScale)
		UpdateCurrentInstanceGlobal(Vigor_StaminaDrainScale)
		SetSliderOptionValue(Slider_OID_StaminaDrainScale, _Slider_StaminaDrainScale, "{0}%")

	elseIf ( option == Slider_OID_InjuryChance )
		_Slider_InjuryChance = value
		Vigor_ChanceInjury.SetValue(_Slider_InjuryChance)
		UpdateCurrentInstanceGlobal(Vigor_ChanceInjury)
		SetSliderOptionValue(Slider_OID_InjuryChance, _Slider_InjuryChance, "{0}%")

	elseIf ( option == Slider_OID_InjuryHealth )
		_Slider_InjuryHealth = value
		Vigor_gHealthDifference.SetValue(_Slider_InjuryHealth)
		UpdateCurrentInstanceGlobal(Vigor_gHealthDifference)
		SetSliderOptionValue(Slider_OID_InjuryHealth, _Slider_InjuryHealth, "{2}")

	elseIf ( option == Slider_OID_PotionFortifyArmor )
		_Slider_PotionFortifyArmor = value
		Vigor_ChancePotionFortifyArmor.SetValue(_Slider_PotionFortifyArmor)
		UpdateCurrentInstanceGlobal(Vigor_ChancePotionFortifyArmor)
		SetSliderOptionValue(Slider_OID_PotionFortifyArmor, _Slider_PotionFortifyArmor, "{0}%")

	elseIf ( option == Slider_OID_PotionFortifyDamage )
		_Slider_PotionFortifyDamage = value
		Vigor_ChancePotionFortifyDamage.SetValue(_Slider_PotionFortifyDamage)
		UpdateCurrentInstanceGlobal(Vigor_ChancePotionFortifyDamage)
		SetSliderOptionValue(Slider_OID_PotionFortifyDamage, _Slider_PotionFortifyDamage, "{0}%")

	elseIf ( option == Slider_OID_PotionResistMagic )
		_Slider_PotionResistMagic = value
		Vigor_ChancePotionMagicResistance.SetValue(_Slider_PotionResistMagic)
		UpdateCurrentInstanceGlobal(Vigor_ChancePotionMagicResistance)
		SetSliderOptionValue(Slider_OID_PotionResistMagic , _Slider_PotionResistMagic, "{0}%")

	elseIf ( option == Slider_OID_PotionResistElement )
		_Slider_PotionResistElement = value
		Vigor_ChancePotionElementalResistance.SetValue(_Slider_PotionResistElement)
		UpdateCurrentInstanceGlobal(Vigor_ChancePotionElementalResistance)
		SetSliderOptionValue(Slider_OID_PotionResistElement, _Slider_PotionResistElement, "{0}%")

	elseIf ( option == Slider_OID_PotionHealth )
		_Slider_PotionHealth = value
		Vigor_ChancePotionHealth.SetValue(_Slider_PotionHealth)
		UpdateCurrentInstanceGlobal(Vigor_ChancePotionHealth)
		SetSliderOptionValue(Slider_OID_PotionHealth, _Slider_PotionHealth, "{0}%")

	elseIf ( option == Slider_OID_PotionStamina )
		_Slider_PotionStamina = value
		Vigor_ChancePotionStamina.SetValue(_Slider_PotionStamina)
		UpdateCurrentInstanceGlobal(Vigor_ChancePotionStamina)
		SetSliderOptionValue(Slider_OID_PotionStamina, _Slider_PotionStamina, "{0}%")

	elseIf ( option == Slider_OID_PotionInvisibility )
		_Slider_PotionInvisibility = value
		Vigor_ChancePotionInvisibility.SetValue(_Slider_PotionInvisibility)
		UpdateCurrentInstanceGlobal(Vigor_ChancePotionInvisibility)
		SetSliderOptionValue(Slider_OID_PotionInvisibility, _Slider_PotionInvisibility, "{0}%")

	elseIf ( option == Slider_OID_Bleed  )
		_Slider_Bleed = value
		Vigor_ChanceBleed.SetValue(_Slider_Bleed)
		UpdateCurrentInstanceGlobal(Vigor_ChanceBleed)
		SetSliderOptionValue(Slider_OID_Bleed, _Slider_Bleed, "{0}%")

	elseIf ( option == Slider_OID_InjuryTime  )
		_Slider_InjuryTime = value
		Vigor_LengthyInjuryTrauma.SetValue(_Slider_InjuryTime)
		UpdateCurrentInstanceGlobal(Vigor_LengthyInjuryTrauma)
		SetSliderOptionValue(Slider_OID_InjuryTime, _Slider_InjuryTime, "{0} Hours")

	elseIf ( option == Slider_OID_NoRest )
		_Slider_NoRest = value
		Vigor_gNoRest.SetValue(_Slider_NoRest)
		UpdateCurrentInstanceGlobal(Vigor_gNoRest)
		SetSliderOptionValue(Slider_OID_NoRest, _Slider_NoRest, "{2}")

	elseIf ( option == Slider_OID_StaggerDuration )
		_Slider_StaggerDuration = value
		Vigor_StaggerDuration.SetValue(_Slider_StaggerDuration)
		UpdateCurrentInstanceGlobal(Vigor_StaggerDuration)
		SetSliderOptionValue(Slider_OID_StaggerDuration, _Slider_StaggerDuration, "{2} Seconds")

	elseIf ( option == Slider_OID_StaggerCooldown )
		_Slider_StaggerCooldown = value
		Vigor_StaggerCooldown.SetValue(_Slider_StaggerCooldown)
		UpdateCurrentInstanceGlobal(Vigor_StaggerCooldown)
		SetSliderOptionValue(Slider_OID_StaggerCooldown, _Slider_StaggerCooldown, "{2} Seconds")

	elseIf ( option == Slider_OID_PoiseMult )
		_Slider_PoiseMult = value
		Vigor_PoiseMult.SetValue(_Slider_PoiseMult)
		UpdateCurrentInstanceGlobal(Vigor_PoiseMult)
		SetSliderOptionValue(Slider_OID_PoiseMult, _Slider_PoiseMult, "x{2}")

	elseIf ( option == Slider_OID_DisableHealthRegen )
		_Slider_DisableHealthRegen = value
		Vigor_DisableHealthRegen.SetValue(_Slider_DisableHealthRegen)
		UpdateCurrentInstanceGlobal(Vigor_DisableHealthRegen)
		SetSliderOptionValue(Slider_OID_DisableHealthRegen, _Slider_DisableHealthRegen, "{2}")

	endIf

EndEvent