Scriptname VIGOR_PoiseNPC extends activemagiceffect  

Actor Property PlayerRef Auto
Spell Property ale_StaggerLargeFF Auto
Keyword Property ArmorBoots Auto
Keyword Property ArmorCuirass Auto
Keyword Property ArmorGauntlets Auto
Keyword Property ArmorHelmet Auto
Keyword Property ArmorShield Auto
Keyword Property ActorTypeNPC Auto
GlobalVariable Property Vigor_StaggerCooldown Auto
GlobalVariable Property Vigor_PoiseMult Auto
GlobalVariable Property Vigor_PoiseMessage Auto
Float BodyMass = 0.00
Float HeadMass = 0.00
Float FeetMass = 0.00
Float HandMass = 0.00
Float ShieldMass = 0.00
Float HealthPre
Float HealthPos
Float Stamina
Float PoiseBase
Float PoiseBar

Event OnEffectStart(Actor akTarget, Actor akCaster)

String Name = akTarget.GetBaseObject().GetName()

	If akTarget.HasKeyword(ActorTypeNPC)
		
		If akTarget.WornHasKeyword(ArmorHelmet)
			armor headArmor = akTarget.GetWornForm(0x00000002) as armor
			Float HelmetWeight = headArmor.GetWeight()
			HeadMass = HelmetWeight 
		Else 
			HeadMass = 0
		EndIf
		
		If akTarget.WornHasKeyword(ArmorGauntlets)
			armor armsArmor = akTarget.GetWornForm(0x00000008) as armor
			Float GauntletWeight = armsArmor.GetWeight()
			HandMass = GauntletWeight
		Else 
			HandMass = 0
		EndIf

		If akTarget.WornHasKeyword(ArmorCuirass)
			armor bodyArmor = akTarget.GetWornForm(0x00000004) as armor
			Float CuirassWeight = bodyArmor.GetWeight()
			BodyMass = CuirassWeight
		Else 
			BodyMass = 0
		EndIf

		If akTarget.WornHasKeyword(ArmorBoots)	
			armor legsArmor = akTarget.GetWornForm(0x00000080) as armor
			Float BootWeight = legsArmor.GetWeight()
			FeetMass = BootWeight
		Else 
			FeetMass = 0
		EndIf

		If akTarget.WornHasKeyword(ArmorShield)	
			Float ShieldWeight = akTarget.GetEquippedShield().GetWeight()
			ShieldMass = ShieldWeight
		Else 
			ShieldMass = 0
		EndIf

		Stamina = akTarget.GetBaseActorValue("Stamina") * 0.2
		PoiseBase = ((HeadMass + HandMass + BodyMass + FeetMass + ShieldMass) + Stamina) * Vigor_PoiseMult.GetValue()

	Else

		Stamina = akTarget.GetBaseActorValue("Stamina") * 0.2
		PoiseBase = ((akTarget.GetBaseActorValue("Health") * 0.1) + Stamina) * Vigor_PoiseMult.GetValue()

	EndIf

	PoiseBar = PoiseBase * akTarget.GetActorValuePercentage("Health")

	If Vigor_PoiseMessage.GetValue() && akTarget.IsHostileToActor(PlayerRef)
		
		Debug.Notification(Name + " Poise = " +  PoiseBase as Int)

	EndIf

	RegisterForSingleUpdate(0.01)

EndEvent


Event OnUpdate()

	HealthPos = GetTargetActor().GetActorValue("Health")

	If HealthPre > HealthPos
		PoiseBar -= HealthPre - HealthPos
	EndIf

	If PoiseBar > PoiseBase
		PoiseBar = PoiseBase
	ElseIf PoiseBar < 0
		ale_StaggerLargeFF.Cast(GetTargetActor())
		GetTargetActor().DamageActorValue("Stamina", - PoiseBar)	
		PoiseBar = PoiseBase * 0.05
		Utility.Wait(Vigor_StaggerCooldown.GetValue())
	Else
		PoiseBar += PoiseBase * 0.05
	EndIf

	HealthPre = GetTargetActor().GetActorValue("Health")

	RegisterForSingleUpdate(0.5)

EndEvent