Scriptname Vigor_Update extends ReferenceAlias  

Actor Property PlayerRef Auto
GlobalVariable Property Vigor_NPC Auto
GlobalVariable Property Vigor_GUpdate Auto
GlobalVariable Property Vigor_PosZ Auto
GlobalVariable Property Vigor_iPosZ Auto
GlobalVariable Property Vigor_Mass Auto
Keyword Property ArmorBoots Auto
Keyword Property ArmorCuirass Auto
Keyword Property ArmorGauntlets Auto
Keyword Property ArmorHelmet Auto
Keyword Property ArmorShield Auto
Float BodyMass = 0.00
Float HeadMass = 0.00
Float FeetMass = 0.00
Float HandMass = 0.00
Float ShieldMass = 0.00

Event OnInit()
	RegisterForSingleUpdate(1)
EndEvent
 
Event OnUpdate()

Float PosZ = PlayerRef.GetPositionZ()

	If Vigor_NPC.GetValue()
		
		Vigor_PosZ.SetValue(PosZ - 30)
		Vigor_iPosZ.SetValue(PosZ + 30)

		PlayerRef.ModActorValue("CarryWeight", 0.001)
		PlayerRef.ModActorValue("CarryWeight", -0.001)

	EndIf

	RegisterForSingleUpdate(Vigor_GUpdate.GetValue())
EndEvent



Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)

	if akBaseObject as Armor
	Utility.Wait(0.5)

		If PlayerRef.WornHasKeyword(ArmorHelmet)
			armor headArmor = PlayerRef.GetWornForm(0x00000002) as armor
			Float HelmetWeight = headArmor.GetWeight()
			HeadMass = HelmetWeight 
		Else 
			HeadMass = 0
		EndIf
		
		If PlayerRef.WornHasKeyword(ArmorGauntlets)
			armor armsArmor = PlayerRef.GetWornForm(0x00000008) as armor
			Float GauntletWeight = armsArmor.GetWeight()
			HandMass = GauntletWeight
		Else 
			HandMass = 0
		EndIf

		If PlayerRef.WornHasKeyword(ArmorCuirass)
			armor bodyArmor = PlayerRef.GetWornForm(0x00000004) as armor
			Float CuirassWeight = bodyArmor.GetWeight()
			BodyMass = CuirassWeight
		Else 
			BodyMass = 0
		EndIf

		If PlayerRef.WornHasKeyword(ArmorBoots)	
			armor legsArmor = PlayerRef.GetWornForm(0x00000080) as armor
			Float BootWeight = legsArmor.GetWeight()
			FeetMass = BootWeight
		Else 
			FeetMass = 0
		EndIf

		If PlayerRef.WornHasKeyword(ArmorShield)	
			Float ShieldWeight = PlayerRef.GetEquippedShield().GetWeight()
			ShieldMass = ShieldWeight
		Else 
			ShieldMass = 0
		EndIf

		Vigor_Mass.SetValue((HeadMass + HandMass + BodyMass + FeetMass + ShieldMass) * 0.75)

	EndIf

EndEvent



Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)

	if akBaseObject as Armor
	Utility.Wait(1.5)

		If PlayerRef.WornHasKeyword(ArmorHelmet)
			armor headArmor = PlayerRef.GetWornForm(0x00000002) as armor
			Float HelmetWeight = headArmor.GetWeight()
			HeadMass = HelmetWeight 
		Else 
			HeadMass = 0
		EndIf
		
		If PlayerRef.WornHasKeyword(ArmorGauntlets)
			armor armsArmor = PlayerRef.GetWornForm(0x00000008) as armor
			Float GauntletWeight = armsArmor.GetWeight()
			HandMass = GauntletWeight
		Else 
			HandMass = 0
		EndIf

		If PlayerRef.WornHasKeyword(ArmorCuirass)
			armor bodyArmor = PlayerRef.GetWornForm(0x00000004) as armor
			Float CuirassWeight = bodyArmor.GetWeight()
			BodyMass = CuirassWeight
		Else 
			BodyMass = 0
		EndIf

		If PlayerRef.WornHasKeyword(ArmorBoots)	
			armor legsArmor = PlayerRef.GetWornForm(0x00000080) as armor
			Float BootWeight = legsArmor.GetWeight()
			FeetMass = BootWeight
		Else 
			FeetMass = 0
		EndIf

		If PlayerRef.WornHasKeyword(ArmorShield)	
			Float ShieldWeight = PlayerRef.GetEquippedShield().GetWeight()
			ShieldMass = ShieldWeight
		Else 
			ShieldMass = 0
		EndIf

		Vigor_Mass.SetValue((HeadMass + HandMass + BodyMass + FeetMass + ShieldMass) * 0.75)


	EndIf

EndEvent